Package com.google.javascript.jscomp

# Interface SourceExcerptProvider.ExcerptFormatter

Enclosing interface:
  `SourceExcerptProvider`

public static interface SourceExcerptProvider.ExcerptFormatter
A excerpt formatter is responsible of formatting source excerpts.

## Method Summary

Modifier and Type
Method
Description
`String`
`formatLine(String line, int lineNumber)`
Format a line excerpt.
`String`
`formatRegion(Region region)`
Format a region excerpt.

## Method Details

### formatLine

String formatLine(String line, int lineNumber)
Format a line excerpt.

### formatRegion

String formatRegion(Region region)
Format a region excerpt.